Warehouses
Append metadata field
Append a metadata field to a warehouse.
PATCH
/
api
/
settings
/
warehouses
/
{id}
/
append_metadata
Append metadata field
curl --request PATCH \
--url https://api.fluid.app/api/settings/warehouses/{id}/append_metadata \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"hazmat_certified": true,
"forklifts": 3
}
}
'import requests
url = "https://api.fluid.app/api/settings/warehouses/{id}/append_metadata"
payload = { "metadata": {
"hazmat_certified": True,
"forklifts": 3
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {hazmat_certified: true, forklifts: 3}})
};
fetch('https://api.fluid.app/api/settings/warehouses/{id}/append_metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"warehouse": {
"id": 48213,
"name": "Scranton Distribution Center",
"active": true,
"external_id": "DM-WH-SCR-01",
"metadata": {
"dock_doors": 4,
"climate_controlled": false,
"hazmat_certified": true,
"forklifts": 3
},
"country": {
"id": 233,
"iso": "US"
},
"address": {
"id": 90517,
"name": "Scranton Distribution Center",
"address1": "1725 Slough Avenue",
"address2": "Loading Dock B",
"address3": null,
"city": "Scranton",
"state": "PA",
"postal_code": "18505"
}
},
"meta": {
"request_id": "c41d7e2a-9b3f-4a18-8e6d-5f2c0b9a7e13",
"timestamp": "2026-09-14T15:42:08Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Path Parameters
Warehouse's Id
Body
application/json
Request payload
A JSON object that can store any custom data structure. When provided, merges with existing metadata data.
Show child attributes
Show child attributes
⌘I
Append metadata field
